Package ghidra.sleigh.grammar

# Class SleighPreprocessor

java.lang.Object
ghidra.sleigh.grammar.SleighPreprocessor

All Implemented Interfaces:
  `ExpressionEnvironment`

public class SleighPreprocessor extends Object implements ExpressionEnvironment

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SleighPreprocessor(ghidra.pcodeCPort.slgh_compile.PreprocessorDefinitions definitions, File inputFile)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(String lhs, String rhs)`
  `boolean`
  `isCompatible()`
  `String`
  `lookup(String variable)`
  `void`
  `process(LineArrayListWriter writer)`
  `void`
  `reportError(String msg)`
  `long`
  `scanForTimestamp()`
  `void`
  `setCompatible(boolean compatible)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SleighPreprocessor

    public SleighPreprocessor(ghidra.pcodeCPort.slgh_compile.PreprocessorDefinitions definitions, File inputFile)

- ## Method Details

  - ### process

    public void process(LineArrayListWriter writer) throws IOException, PreprocessorException, org.antlr.runtime.RecognitionException
    Throws:
      `IOException`
      `PreprocessorException`
      `org.antlr.runtime.RecognitionException`

  - ### scanForTimestamp

    public long scanForTimestamp() throws IOException, PreprocessorException, org.antlr.runtime.RecognitionException
    Throws:
      `IOException`
      `PreprocessorException`
      `org.antlr.runtime.RecognitionException`

  - ### setCompatible

    public void setCompatible(boolean compatible)

  - ### isCompatible

    public boolean isCompatible()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(String lhs, String rhs)
    Specified by:
      `equals` in interface `ExpressionEnvironment`

  - ### lookup

    public String lookup(String variable)
    Specified by:
      `lookup` in interface `ExpressionEnvironment`

  - ### reportError

    public void reportError(String msg)
    Specified by:
      `reportError` in interface `ExpressionEnvironment`